Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class XMLEntityInfoHelper

    java.lang.Object
      |
      +--com.bea.wlpi.common.XMLEntityInfoHelper

public class XMLEntityInfoHelper
extends java.lang.Object
implements java.io.Serializable, Publishable, java.lang.Comparable

This is an auxilliary class for com.bea.eci.repository.helper.XMLEntityInfo used solely for Import/Export purposes.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`XMLEntityInfoHelper(int type, java.lang.String name, java.lang.String desc, java.lang.String notes)`

Method Summary
`void` | `addParentFolder(RepositoryFolderInfoHelper rfih)`
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getContents()`
`java.lang.String` | `getDescription()`
`int` | `getEntityType()`
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNotes()`
`java.lang.String` | `getOwnerName()`
`java.util.List` | `getParentFolders()`
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`int` | `getType()`
`boolean` | `isPublished()`
`void` | `publish()`
`void` | `setContent(byte[] c)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEntityInfoHelper

    public XMLEntityInfoHelper(int type,
                               java.lang.String name,
                               java.lang.String desc,
                               java.lang.String notes)

Method Detail

### getEntityType

    public int getEntityType()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getNotes

    public java.lang.String getNotes()

### setContent

    public void setContent(byte[] c)

### addParentFolder

    public void addParentFolder(RepositoryFolderInfoHelper rfih)

### getParentFolders

    public java.util.List getParentFolders()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    compareTo in interface java.lang.Comparable

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### isPublished

    public boolean isPublished()

  Specified by:
    isPublished in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)